Subject: bug#36498: modem["ttyUSB0"]: error starting PPP: Could not find "pppd" binary

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 6 Jul 2019 12:46:04 +0200

On Sat, Jul 06, 2019 at 04:07:24AM +0000, Adam Mazurkiewicz wrote:
> sob., 6 lip 2019 o 04:01 Adam Mazurkiewicz <[email-masked]> napisał(a):
> >
> > pt., 5 lip 2019 o 03:24 pelzflorian (Florian Pelz)
> > <[email-masked]> napisał(a):
> > >
> > > On Thu, Jul 04, 2019 at 06:08:55PM +0200, pelzflorian (Florian Pelz) wrote:
> > > > On Thu, Jul 04, 2019 at 04:46:32PM +0200, pelzflorian (Florian Pelz) wrote:
> > > > > (git
> > > > reset --hard master, then git am this-new-patch and reconfigure.)
> > > >
> > >
> > > Sorry, I meant to write `git reset --hard master^` with a ^ to get rid
> > > of the previous patch.
> > >
> > > I would be much obliged if you could test, because my modem works
> > > without NetworkManager needing to find pppd.
> > >
> > > Regards,
> > > Florian
> >
> > Thanks for your replies, Florian. I used the patch from your first
> > reply. Then the ability to choose the modem disappeared from nm. Then
> > I typed out the git reset command you mentioned in your third reply
> > and it still was a lack of the modem option in nm. Log messages are
> > these now:
> >
> > s@s /root/debianek/home/s/mirrors/work-tree/guix$ cat
> > /var/log/messages |grep -i modem |grep 'Jul  6 05:41'
> > Jul  6 05:41:40 localhost dbus-daemon[316]: [system] Activating
> > service name='org.freedesktop.ModemManager1' requested by ':1.3'
> > (uid=0 pid=319 comm="/gnu/store/97as7cp13ivsi97ia58gh18m3q6fc5hi-networ")
> > (using servicehelper)
> > Jul  6 05:41:40 localhost ModemManager[407]: <info>  ModemManager
> > (version 1.4.14) starting in system bus...
> > Jul  6 05:41:40 localhost dbus-daemon[316]: [system] Successfully
> > activated service 'org.freedesktop.ModemManager1'
> > Jul  6 05:41:40 localhost NetworkManager[319]: <info>
> > [1562384500.1841] modem-manager: ModemManager not available
> > Jul  6 05:41:40 localhost NetworkManager[319]: <info>
> > [1562384500.1937] modem-manager: ModemManager now available
> > Jul  6 05:41:42 localhost ModemManager[407]: <info>  Couldn't find
> > support for device at
> > '/sys/devices/pci0000:00/0000:00:1c.2/0000:02:00.0': not supported by
> > any plugin
> > s@s /root/debianek/home/s/mirrors/work-tree/guix$
> >
> > Regards,
> > Adam
> 
> And I used the patch you add in your second reply. So the log messages
> are after the git reset command and using the second patch.
> Regards,
> Adam
> 

I assume you did try rebooting and unplugging and replugging your
modem after each
sudo -i
cd …/guix
./pre-inst-env guix system reconfigure /etc/config.scm

It seems you are using a Huawei modem like me.  For me my
old /var/log/messages contains these consecutive lines on one boot:

Jun 26 13:31:50 localhost ModemManager[16847]: <info>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:16.0/0000:03:00.
0': not supported by any plugin 
Jun 26 13:32:04 localhost ModemManager[16847]: <info>  Creating modem with plugin 'Huawei' and '5' ports

Normally only the second line appears.

Can you try using the attached patch *in addition to* the second patch
0001-gnu-network-manager-Add-ppp-input-configure-flag-and.patch
so /var/log/messages contains debug info on the ModemManager plugins?

When I reconfigure with this, reboot, wait for everything to start and
then plug in the modem, these are the messages I get from
ModemManager: <https://pelzflorian.de/files/messages.txt>
Yours must be different at some point if it does not work.

Regards,
Florian
>From f67a4859689acc08d8ad18ef5da7d27ed5d6ab56 Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Sat, 6 Jul 2019 11:33:37 +0200
Subject: [PATCH 2/2] [only for testing] gnu: modem-manager: Activate debug
 mode.

* gnu/packages/freedesktop.scm (modem-manager)[arguments]: Add --debug
command-line argument to dbus service.
---
 gnu/packages/freedesktop.scm | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 4b37ffdf3c..70d64b1d30 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -998,7 +998,19 @@ which speak the Qualcomm MSM Interface (QMI) protocol.")
          ;; FIXME: Without this flag the build fails with "error: assignment
          ;; from incompatible pointer type" whenever the return value of
          ;; "g_object_ref" is assigned to "ctx->self".
-         "--disable-more-warnings")))
+         "--disable-more-warnings")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'set-debug
+           (lambda* (#:key outputs #:allow-other-keys)
+             (substitute*
+                 (string-append
+                  (assoc-ref outputs "out")
+                  "/share/dbus-1/system-services/\
+org.freedesktop.ModemManager1.service")
+               (("sbin/ModemManager")
+                "sbin/ModemManager --debug"))
+             #t)))))
     (native-inputs
      `(("glib:bin" ,glib "bin") ; for glib-mkenums
        ("gobject-introspection" ,gobject-introspection)
-- 
2.22.0